
# com.ultracart.admin.v2.Model.ChannelPartnerOrder

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**AdvertisingSource** | **string** | advertising_source | [optional] 
**AffiliateId** | **string** | Affiliate Id | [optional] 
**AffiliateSubId** | **string** | Affiliate Sub Id | [optional] 
**ArbitraryShippingHandlingTotal** | **decimal** | Arbitrary shipping handling total | [optional] 
**ArbitraryTax** | **decimal** | Arbitrary tax for overriding calculated taxes | [optional] 
**ArbitraryTaxRate** | **decimal** | Arbitrary tax rate | [optional] 
**ArbitraryTaxableSubtotal** | **decimal** | Arbitrary taxable subtotal | [optional] 
**AssociateWithCustomerProfileIfPresent** | **bool** | If true any matching customer profile based on email is associated with this order | [optional] 
**AutoApprovePurchaseOrder** | **bool** | If true any purchase orders are automatically approved | [optional] 
**BilltoAddress1** | **string** | Billing Address line 1 | [optional] 
**BilltoAddress2** | **string** | Billing Address line 2 | [optional] 
**BilltoCity** | **string** | Billing City | [optional] 
**BilltoCompany** | **string** | Billing Company | [optional] 
**BilltoCountryCode** | **string** | Billing ISO-3166 two letter country code | [optional] 
**BilltoDayPhone** | **string** | Billing Day phone | [optional] 
**BilltoEveningPhone** | **string** | Billing Evening phone | [optional] 
**BilltoFirstName** | **string** | Billing First name | [optional] 
**BilltoLastName** | **string** | Billing Last name | [optional] 
**BilltoPostalCode** | **string** | Billing Postal code | [optional] 
**BilltoStateRegion** | **string** | Billing State for United States otherwise region or province for other countries | [optional] 
**BilltoTitle** | **string** | Billing Title | [optional] 
**CcEmail** | **string** | CC email. | [optional] 
**ChannelPartnerOrderId** | **string** | The id for this order within the channel partner system. | [optional] 
**ConsiderRecurring** | **bool** | If true this order is marked as an auto order (recurring) | [optional] 
**Coupons** | **List&lt;string&gt;** | Array of coupon codes | [optional] 
**CreditCardAuthorizationAmount** | **decimal** | The amount authorized externally | [optional] 
**CreditCardAuthorizationDts** | **string** | Date/Time of credit card authorization in ISO8601 format | [optional] 
**CreditCardAuthorizationNumber** | **string** | The reference number provided by an externally processed transaction | [optional] 
**CreditCardExpirationMonth** | **int** | Credit card expiration month | [optional] 
**CreditCardExpirationYear** | **int** | Credit card expiration year | [optional] 
**CreditCardType** | **string** | Credit card type | [optional] 
**CustomField1** | **string** | Custom field 1 | [optional] 
**CustomField2** | **string** | Custom field 2 | [optional] 
**CustomField3** | **string** | Custom field 3 | [optional] 
**CustomField4** | **string** | Custom field 4 | [optional] 
**CustomField5** | **string** | Custom field 5 | [optional] 
**CustomField6** | **string** | Custom field 6 | [optional] 
**CustomField7** | **string** | Custom field 7 | [optional] 
**DeliveryDate** | **string** | Date the customer is requesting delivery on. Typically used for perishable product delivery. | [optional] 
**Email** | **string** | Email | [optional] 
**Gift** | **bool** | True if this order is a gift | [optional] 
**GiftEmail** | **string** | Email address of the gift recipient | [optional] 
**GiftMessage** | **string** | Message to the gift recipient | [optional] 
**HostedFieldsCardToken** | **string** | The token provided by UltraCart hosted fields when a credit card number is uploaded into the system.  This is the only way to provide a credit card number. | [optional] 
**HostedFieldsCvvToken** | **string** | The token provided by UltraCart hosted fields when a credit card cvv is uploaded into the system.  This is the only way to provide a cvv number. | [optional] 
**InsuranceApplicationId** | **string** | Insurance application id | [optional] 
**InsuranceClaimId** | **string** | Insurance claim id | [optional] 
**IpAddress** | **string** | IP Address of the customer | [optional] 
**Items** | [**List&lt;ChannelPartnerOrderItem&gt;**](ChannelPartnerOrderItem.md) | Items | [optional] 
**LeastCostRoute** | **bool** | If true the least expensive shipping method is automatically chosen during the order import | [optional] 
**LeastCostRouteShippingMethods** | **List&lt;string&gt;** | An optional array of shipping methods to restict choices if least_cost_route is true | [optional] 
**MailingListOptIn** | **bool** | If true the customer is subscribed to any configured mailing lists | [optional] 
**NoRealtimePaymentProcessing** | **bool** | If true no payment processing is done and the order is placed into Accounts Receivable | [optional] 
**PaymentMethod** | **string** | Payment method | [optional] 
**PurchaseOrderNumber** | **string** | Purchase order number | [optional] 
**RotatingTransactionGatewayCode** | **string** | The rotating transaction gateway code for the gateway used to charge this order | [optional] 
**ScreenBrandingThemeCode** | **string** | Screen branding theme code | [optional] 
**ShipOnDate** | **string** | Date the customer is requesting that the order ship on.  Typically used for perishable product delivery. | [optional] 
**ShipToResidential** | **bool** | True if the shipping adress is residential.  Effects the methods that are available to the customer as well as the price of the shipping method. | [optional] 
**ShippingMethod** | **string** | Shipping method | [optional] 
**ShiptoAddress1** | **string** | Shipping Address line 1 | [optional] 
**ShiptoAddress2** | **string** | Shipping Address line 2 | [optional] 
**ShiptoCity** | **string** | Shipping City | [optional] 
**ShiptoCompany** | **string** | Shipping Company | [optional] 
**ShiptoCountryCode** | **string** | Shipping ISO-3166 two letter country code | [optional] 
**ShiptoDayPhone** | **string** | Shipping Day phone | [optional] 
**ShiptoEveningPhone** | **string** | Shipping Evening phone | [optional] 
**ShiptoFirstName** | **string** | Shipping First name | [optional] 
**ShiptoLastName** | **string** | Shipping Last name | [optional] 
**ShiptoPostalCode** | **string** | Shipping Postal code | [optional] 
**ShiptoStateRegion** | **string** | Shipping State for United States otherwise region or province for other countries | [optional] 
**ShiptoTitle** | **string** | Shipping Title | [optional] 
**SkipPaymentProcessing** | **bool** | If true the order is placed directly into the shipping department | [optional] 
**SpecialInstructions** | **string** | Special instructions from the customer regarding shipping | [optional] 
**StoreCompleted** | **bool** | If true the order bypasses shipping and is marked completed | [optional] 
**StoreIfPaymentDeclines** | **bool** | If true any failed payments are placed into Accounts Receivable.  If false any failed payments result in a rejected order resulting in errors thrown during the insert routine | [optional] 
**TaxCounty** | **string** | The optional shipping county used to determine exact taxes | [optional] 
**TaxExempt** | **bool** | If true this order is marked as being tax exempt | [optional] 
**Transaction** | [**ChannelPartnerOrderTransaction**](ChannelPartnerOrderTransaction.md) |  | [optional] 
**TreatWarningsAsErrors** | **bool** | If true all warnings are considered errors, this is true by default | [optional] 

[[Back to Model list]](../README.md#documentation-for-models)
[[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to README]](../README.md)

