
# com.ultracart.admin.v2.Model.Customer

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Activity** | [**CustomerActivity**](CustomerActivity.md) |  | [optional] 
**AffiliateOid** | **int** | Affiliate oid | [optional] 
**Allow3rdPartyBilling** | **bool** | Allow 3rd party billing | [optional] 
**AllowCod** | **bool** | Allow COD | [optional] 
**AllowDropShipping** | **bool** | Allow Drop Shipping | [optional] 
**AllowPurchaseOrder** | **bool** | Allow purchase orders by this customer | [optional] 
**AllowQuoteRequest** | **bool** | Allow quote request | [optional] 
**AllowSelectionOfAddressType** | **bool** | Allow selection of residential or business address type | [optional] 
**Attachments** | [**List&lt;CustomerAttachment&gt;**](CustomerAttachment.md) | Attachments | [optional] 
**AutoApproveCod** | **bool** | Auto approve COD | [optional] 
**AutoApprovePurchaseOrder** | **bool** | Auto approve purchase orders by this customer | [optional] 
**AutomaticMerchantNotes** | **string** | Automatic merchant notes are added to every order placed | [optional] 
**Billing** | [**List&lt;CustomerBilling&gt;**](CustomerBilling.md) | Billing addresses for this customer | [optional] 
**BusinessNotes** | **string** | Business notes (internally visible only) | [optional] 
**Cards** | [**List&lt;CustomerCard&gt;**](CustomerCard.md) | Credit Cards for this customer | [optional] 
**CcEmails** | [**List&lt;CustomerEmail&gt;**](CustomerEmail.md) | Additional emails to CC notification | [optional] 
**CustomerProfileOid** | **int** | Customer profile object identifier | [optional] 
**DhlAccountNumber** | **string** | DHL account number | [optional] 
**DhlDutyAccountNumber** | **string** | DHL duty account number | [optional] 
**Edi** | [**CustomerEDI**](CustomerEDI.md) |  | [optional] 
**Email** | **string** | Email address of this customer profile | [optional] 
**ExemptShippingHandlingCharge** | **bool** | Exempt shipping handling charge | [optional] 
**FedexAccountNumber** | **string** | FedEx account number | [optional] 
**FreeShipping** | **bool** | This customer always receives free shipping | [optional] 
**FreeShippingMinimum** | **decimal** | If free_shipping is true, this is the minimum subtotal required for free shipping | [optional] 
**LastModifiedBy** | **string** | Last modified by | [optional] 
**LastModifiedDts** | **string** | Last modified date | [optional] 
**Loyalty** | [**CustomerLoyalty**](CustomerLoyalty.md) |  | [optional] 
**MaximumItemCount** | **int** | Maximum item count | [optional] 
**MerchantId** | **string** | Merchant ID | [optional] 
**MinimumItemCount** | **int** | Minimum item count | [optional] 
**MinimumSubtotal** | **decimal** | Minimum subtotal | [optional] 
**NoCoupons** | **bool** | No coupons | [optional] 
**NoFreeShipping** | **bool** | No free shipping regardless of coupons or item level settings | [optional] 
**NoRealtimeCharge** | **bool** | No realtime charge | [optional] 
**Orders** | [**List&lt;Order&gt;**](Order.md) | Orders associated with this customer profile | [optional] 
**OrdersSummary** | [**CustomerOrdersSummary**](CustomerOrdersSummary.md) |  | [optional] 
**Password** | **string** | Password (may only be set, never read) | [optional] 
**PricingTiers** | [**List&lt;CustomerPricingTier&gt;**](CustomerPricingTier.md) | Pricing tiers for this customer | [optional] 
**Privacy** | [**CustomerPrivacy**](CustomerPrivacy.md) |  | [optional] 
**QbClass** | **string** | QuickBooks class to import this customer as | [optional] 
**QbCode** | **string** | QuickBooks name to import this customer as | [optional] 
**Quotes** | [**List&lt;Order&gt;**](Order.md) | Quotes associated with this customer profile | [optional] 
**QuotesSummary** | [**CustomerQuotesSummary**](CustomerQuotesSummary.md) |  | [optional] 
**ReferralSource** | **string** | Referral Source | [optional] 
**Reviewer** | [**CustomerReviewer**](CustomerReviewer.md) |  | [optional] 
**SalesRepCode** | **string** | Sales rep code | [optional] 
**SendSignupNotification** | **bool** | Send signup notification, if true during customer creation, will send a notification. | [optional] 
**Shipping** | [**List&lt;CustomerShipping&gt;**](CustomerShipping.md) | Shipping addresses for this customer | [optional] 
**SignupDts** | **string** | Signup date | [optional] 
**SoftwareEntitlements** | [**List&lt;CustomerSoftwareEntitlement&gt;**](CustomerSoftwareEntitlement.md) | Software entitlements owned by this customer | [optional] 
**SuppressBuysafe** | **bool** | Suppress buySAFE (deprecated) | [optional] 
**Tags** | [**List&lt;CustomerTag&gt;**](CustomerTag.md) | Tags for this customer | [optional] 
**TaxCodes** | [**CustomerTaxCodes**](CustomerTaxCodes.md) |  | [optional] 
**TaxExempt** | **bool** | True if the customer is tax exempt | [optional] 
**TaxId** | **string** | Tax ID | [optional] 
**Terms** | **string** | Terms for this customer | [optional] 
**TrackSeparately** | **bool** | True if the customer should be tracked separately in QuickBooks | [optional] 
**Unapproved** | **bool** | Unapproved | [optional] 
**UpsAccountNumber** | **string** | UPS account number | [optional] 
**WebsiteUrl** | **string** | Website url | [optional] 

[[Back to Model list]](../README.md#documentation-for-models)
[[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to README]](../README.md)

